//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class chatbox_hook_core_Ignore extends _HOOK_CLASS_
{
	public static function types()
	{
		try
		{
			if( \IPS\Settings::i()->chatbox_ignore == 1 )
			{
				return array_merge( parent::types(), array( 'chatboxplus' ) );
			}
			
			return parent::types();
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

}
